
package cps606.cu98xqi;

import java.awt.*;
import cps606.cu98xqi.*;

/**
 * IngredientList.java
 *
 * Extends the List class for generating the list components.
 * Two additional methods were added to the List class to 
 * insert elements to the list in a alphabetically sorted manner.
 *
 * @author xjqiu@npac.syr.edu
 */ 

public class IngredientList extends List { //class definition 

/**
 * Constructor for the class which takes in the number of elements 
 * to be displayed at a time
 *
 */

 public IngredientList(int listSize) {
     super(listSize,true);
 }

/**
 * Constructor that takes in the window size as well as 
 * the list elements.
 *
 */
 public IngredientList(int listSize, String[] elements) {
     super(listSize,true);
     
     for(int i=0; i < elements.length; i++ ) {
         add(elements[i]);
     }    
 }

/**
 * Method that adds an element into the list in an 
 * alphabetically sorted order.
 *
 */
 public void addToList(String element) {
     String[] tmpstr = getItems();
     boolean flag = false;

     for(int i=0; i < tmpstr.length; i++ ){
         if((element.compareTo(tmpstr[i])) < 0 ) {
             addItem(element,i);
             flag = true;
             break;
         }
     }
     if(!flag) addItem(element);
     tmpstr = null;
 }
 
/**
 * Method that adds an array of elements into the
 * list in an alphabetically sorted order.
 *
 */
 public void addToList(String[] elements){
     for(int k = 0; k < elements.length; k++) {
         addToList(elements[k]);
     }
 }
} // end of class definition
