/**
 * ReservationApplet.java
 *
 * This is the main class for the user interface component. This is the applet
 * class that is loaded in the html page and uses several other classes in a 
 * hierarchy to build up the user interface. Two members port and host are defined
 * as static members so that the Connection class can use them while trying to 
 * connect to the server.
 * 
 * @author xjqiu@npac.syr.edu
 */

package gui; //define the package

import java.awt.*;

public class ReservationApplet extends java.applet.Applet { // class definition

 public static int port; // default port
 public static String host; // default hostname

/**
 * The init method called by the browser for starting the applet. It gets the port
 * number and hostname where the server is running if they are given as parameters in
 * the applet html file or uses the default hostname and port number. It then uses the
 * border layout to place the two panel classes. 
 */

 public void init() {
            //get port from the html file
     if(Integer.parseInt(getParameter("port")) > 0){
         port = Integer.parseInt(getParameter("port"));
         System.out.println("Port number "+ port);
     }else { // or use default port as 4321
         port = 4321;
     }
           // get hostname from html file 
     if(getParameter("hostname") != null ){
         host = getParameter("hostname");
         System.out.println("Port number "+ host);
     }else { // or use default hostname
         host = "carver.npac.syr.edu";
     }

     setLayout(new BorderLayout()); // set the layout as border layout

     TopPage tp = new TopPage(); // create a top page and mainpanel pages
     MainPanel mp = new MainPanel();
 
     add(tp,"North"); //add the components to the applet
     add(mp,"Center");
 }
} // end of Applet class
