/**
 * StatusWin.java
 *
 * This class is  used for displaying the status message for the client-server
 * communication. It uses a TextArea for displaying the messages on the screen.
 *
 * @author xjqiu@npac.syr.edu
 */
package gui; //define package

import java.awt.*;
import java.awt.event.*;

public class StatusWin extends Panel  // class definition
                          {

 BorderLayout bl = new BorderLayout(); //use a border layout
 private TextArea status; //text area for displaying the message
 private Label l;  // label for title
 Color bg = new Color(0,0,0); //background and foreground color
 Color fg = new Color(211,211,211);

/**
 * Constructor for the class which sets up the components.
 */

 public StatusWin() {

     setLayout(bl); //sets the layout
     setBackground(bg); //sets background
                      //add label and textarea
     l = new Label("                  Status Window");
     l.setForeground(fg);
     l.setFont(new Font("Helvetica", Font.BOLD, 12));
     status = new TextArea(8,45);
     status.setEditable(false);

     add(l,"North"); //add the components
     add(status,"Center");

 }
 
/**
 * This method is used for updating the textarea component from the classes that uses
 * the StatusWin class.
 */

 public void writeMsg(String str) {
     status.setForeground(fg);
     status.append("\n"+str);
 }
 
/**
 * This method is used for setting the text in the textarea component.
 */

 public void setText(String s) {
     status.setText(s);
 }
} // end of class
